package com.loveCoding.homework.j20250517;

import java.util.Arrays;
import java.util.Scanner;

/**
 * @author WanJl
 * @version 1.0
 * @title T5
 * @description
 * **5. 删除特定元素**
 * 要求：新建一个数组，删除原数组中所有指定的元素
 * 示例输入：原数组`{3,8,2,5,8,9}`，删除元素8
 * 示例输出：新数组`3 2 5 9`
 * @create 2025/5/24
 */
public class T5 {
    public static void main(String[] args) {
        int[] arr={8,8,3,8,3,3};
        Scanner sc=new Scanner(System.in);
        int n=sc.nextInt();
        int c=0; //记录要删除的元素有几个
        for (int i = 0; i < arr.length; i++) {
            if (n!=arr[i])
                c++;
        }

        int[] newArr=new int[c];    //为了指定新的数组的长度

        for (int i = 0,j=0; i <arr.length; i++) {
            if (n!=arr[i]){
                newArr[j]=arr[i];
                j++;
            }
        }
        System.out.println(Arrays.toString(newArr));

    }
}
